CompileMode (Jython API documentation)
Date: 2022-09-10

org.python.core

## Enum CompileMode

- java.lang.Object
- - java.lang.Enum<CompileMode>
  - - org.python.core.CompileMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CompileMode>

      public enum CompileMode
      extends java.lang.Enum<CompileMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `eval`
    `exec`
    `single`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CompileMode` | `getMode(java.lang.String mode)`
    `static CompileMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CompileMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### eval

          public static final CompileMode eval

    - #### single

          public static final CompileMode single

    - #### exec

          public static final CompileMode exec

  - ### Method Detail

    - #### values

          public static CompileMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CompileMode c : CompileMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CompileMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getMode

          public static CompileMode getMode(java.lang.String mode)

Jython homepage